<?xml version="1.0" encoding="utf-8"?>
<resources>
    <color name="journey_keyboard_done_key_bg_normal">#ff0477ff</color>
    <color name="journey_keyboard_done_key_bg_pressed">#ff0467ef</color>
    <color name="journey_keyboard_key_bg_normal">#ffffffff</color>
    <color name="journey_keyboard_key_bg_pressed">#ffbbbbbb</color>
    <color name="journey_keyboard_key_done_text_color">#ffeeeeee</color>
    <color name="journey_keyboard_key_icon_color">#ff333333</color>
    <color name="journey_keyboard_key_none_text_color">#7f999999</color>
    <color name="journey_keyboard_key_special_text_color">#ff333333</color>
    <color name="journey_keyboard_key_text_color">#ff333333</color>
    <color name="journey_keyboard_none_key_bg_normal">#ffefefef</color>
    <color name="journey_keyboard_none_key_bg_pressed">#ffefefef</color>
    <color name="journey_keyboard_special_key_bg_normal">#ffa8afbf</color>
    <color name="journey_keyboard_special_key_bg_pressed">#ff989faf</color>
    <dimen name="journey_keyboard_done_text_size">20sp</dimen>
    <dimen name="journey_keyboard_horizontal_gap">10dp</dimen>
    <dimen name="journey_keyboard_key_height">48dp</dimen>
    <dimen name="journey_keyboard_key_height2">101dp</dimen>
    <dimen name="journey_keyboard_key_height3">154dp</dimen>
    <dimen name="journey_keyboard_label_text_size">16sp</dimen>
    <dimen name="journey_keyboard_preview_height">56dp</dimen>
    <dimen name="journey_keyboard_text_size">20sp</dimen>
    <dimen name="journey_keyboard_vertical_gap">5dp</dimen>
    <dimen name="journey_keyboard_view_padding_bottom">6dp</dimen>
    <dimen name="journey_keyboard_view_padding_top">6dp</dimen>
    <string name="journey_keyboard_key_back_text">Back</string>
    <string name="journey_keyboard_key_done_text">Done</string>
    <string name="journey_keyboard_key_more_text">More</string>
    <declare-styleable name="journeyKeyboardView">

        <attr name="android:labelTextSize"/>
        <attr name="android:keyTextSize"/>
        <attr name="android:keyTextColor"/>
        <attr name="android:keyBackground"/>
        <attr format="reference" name="kkbDeleteDrawable"/>
        <attr format="reference" name="kkbCapitalDrawable"/>
        <attr format="reference" name="kkbCapitalLockDrawable"/>
        <attr format="reference" name="kkbCancelDrawable"/>
        <attr format="reference" name="kkbSpaceDrawable"/>
        <attr format="reference" name="kkbSpecialKeyBackground"/>
        <attr format="reference" name="kkbDoneKeyBackground"/>
        <attr format="reference" name="kkbNoneKeyBackground"/>
        <attr format="color" name="kkbKeyIconColor"/>
        <attr format="color" name="kkbKeySpecialTextColor"/>
        <attr format="color" name="kkbKeyDoneTextColor"/>
        <attr format="dimension" name="kkbKeyDoneTextSize"/>
        <attr format="color" name="kkbKeyNoneTextColor"/>
        <attr format="string" name="kkbKeyDoneText"/>

    </declare-styleable>
    <declare-styleable name="journey_Keyboard">

        <attr name="android:keyWidth"/>

        <attr name="android:keyHeight"/>

        <attr name="android:horizontalGap"/>

        <attr name="android:verticalGap"/>
    </declare-styleable>
    <declare-styleable name="journey_KeyboardView">

        <attr name="android:keyBackground"/>

        <attr name="android:keyTextSize"/>

        <attr name="android:labelTextSize"/>

        <attr name="android:keyTextColor"/>

        <attr name="android:keyPreviewLayout"/>

        <attr name="android:keyPreviewOffset"/>

        <attr name="android:keyPreviewHeight"/>

        <attr name="android:verticalCorrection"/>

        <attr name="android:popupLayout"/>

        <attr name="android:shadowColor"/>

        <attr name="android:shadowRadius"/>
    </declare-styleable>
    <declare-styleable name="journey_KeyboardViewPreviewState">

        <attr name="android:state_long_pressable"/>
    </declare-styleable>
    <declare-styleable name="journey_Keyboard_Key">

        <attr name="android:codes"/>

        <attr name="android:popupKeyboard"/>

        <attr name="android:popupCharacters"/>

        <attr name="android:keyEdgeFlags"/>

        <attr name="android:isModifier"/>

        <attr name="android:isSticky"/>

        <attr name="android:isRepeatable"/>

        <attr name="android:iconPreview"/>

        <attr name="android:keyOutputText"/>

        <attr name="android:keyLabel"/>

        <attr name="android:keyIcon"/>

        <attr name="android:keyboardMode"/>
    </declare-styleable>
    <declare-styleable name="journey_Keyboard_Row">

        <attr name="android:rowEdgeFlags"/>

        <attr name="android:keyboardMode"/>
    </declare-styleable>

</resources>